# Uses of Class
org.apache.lucene.analysis.pt.RSLPStemmerBase.Rule

Packages that use RSLPStemmerBase.Rule
Package
Description
org.apache.lucene.analysis.pt
Analyzer for Portuguese.

- ## Uses of RSLPStemmerBase.Rule in org.apache.lucene.analysis.pt

  Subclasses of RSLPStemmerBase.Rule in org.apache.lucene.analysis.pt
  Modifier and Type
  Class
  Description
  `protected static class`
  `RSLPStemmerBase.RuleWithSetExceptions`
  A rule with a set of whole-word exceptions.
  `protected static class`
  `RSLPStemmerBase.RuleWithSuffixExceptions`
  A rule with a set of exceptional suffixes.
  Fields in org.apache.lucene.analysis.pt declared as RSLPStemmerBase.Rule
  Modifier and Type
  Field
  Description
  `protected final RSLPStemmerBase.Rule[]`
  RSLPStemmerBase.Step.`rules`
  Constructors in org.apache.lucene.analysis.pt with parameters of type RSLPStemmerBase.Rule
  Modifier
  Constructor
  Description
  ``
  `Step(String name, RSLPStemmerBase.Rule[] rules, int min, String[] suffixes)`
  Create a new step